## Get a webhook `client.Webhooks.Get(ctx, webhookID, query) (*Webhook, error)` **get** `/v2/webhooks/{teamId}/{webhookId}` Get a webhook ### Parameters - `webhookID string` - `query WebhookGetParams` - `TeamID param.Field[string]` ### Returns - `type Webhook struct{…}` A registered webhook endpoint. - `ID string` - `CreatedAt Time` - `Enabled bool` Disabled webhooks are skipped at delivery time. - `Name string` - `TeamID string` - `URL string` Endpoint events are delivered to. - `Verified bool` True once the endpoint has completed the verification handshake. - `Description string` - `UpdatedAt Time` - `VerificationToken string` Stable token replayed to the endpoint (as the `micro_hook_token` query param) during the verification handshake. The endpoint may check it to confirm the request originated from Micro. - `VerifiedAt Time` ### Example ```go package main import ( "context" "fmt" "github.com/micro-so/micro-sdk-go" "github.com/micro-so/micro-sdk-go/option" ) func main() { client := micro.NewClient( option.WithAPIKey("My API Key"), option.WithTeamID("My Team ID"), ) webhook, err := client.Webhooks.Get( context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", micro.WebhookGetParams{ }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", webhook.ID) } ``` #### Response ```json { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "enabled": true, "name": "name", "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "url": "https://example.com", "verified": true, "description": "description", "updated_at": "2019-12-27T18:11:19.117Z", "verification_token": "verification_token", "verified_at": "2019-12-27T18:11:19.117Z" } ```